// package: bet.protobuf.rpc
// file: protobuf/rpc/error.proto

import * as jspb from 'google-protobuf';

export class Error extends jspb.Message {
  getCode(): number;
  setCode(value: number): void;

  hasMessage(): boolean;
  clearMessage(): void;
  getMessage(): string;
  setMessage(value: string): void;

  hasData(): boolean;
  clearData(): void;
  getData(): Uint8Array | string;
  getData_asU8(): Uint8Array;
  getData_asB64(): string;
  setData(value: Uint8Array | string): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): Error.AsObject;
  static toObject(includeInstance: boolean, msg: Error): Error.AsObject;
  static extensions: { [key: number]: jspb.ExtensionFieldInfo<jspb.Message> };
  static extensionsBinary: {
    [key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>;
  };
  static serializeBinaryToWriter(
    message: Error,
    writer: jspb.BinaryWriter
  ): void;
  static deserializeBinary(bytes: Uint8Array): Error;
  static deserializeBinaryFromReader(
    message: Error,
    reader: jspb.BinaryReader
  ): Error;
}

export namespace Error {
  export type AsObject = {
    code: number;
    message: string;
    data: Uint8Array | string;
  };
}
